# Generated by Django 3.1.2 on 2020-11-18 13:44

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('land_app', '0005_auto_20201118_1535'),
    ]

    operations = [
        migrations.CreateModel(
            name='LeaseParcel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('leas_holder', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='leaseparcel_leas_holder', to='land_app.owner')),
                ('lease', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='land_app.lease')),
                ('leaser', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='leaseparcel_leaser', to='land_app.owner')),
                ('parcel', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='land_app.parcel')),
            ],
        ),
        migrations.CreateModel(
            name='ContractParcel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('contract', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='land_app.contract')),
                ('parcel', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='land_app.parcel')),
                ('seller', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='land_app.owner')),
            ],
        ),
    ]
